/*!
* @file Karma.cpp
* @brief ゲーム中のカルマを定義する
* @date 2013/02/01
* @author Deskull
* 2013 Sikabane Works.
*/

#include "stdafx.h"
#include "Karma.h"

namespace Deeangband
{
	Karma::Karma(void)
	{
		this->WipeData();
		return;
	}

	Karma::~Karma(void)
	{
		this->WipeData();
		return;
	}

	void Karma::WipeData(void)
	{
		this->desciplinePlus.SetPoint(0, 0, 0, 0, 0);
		return;
	}

	const Discipline* Karma::GetDiscipline(void)
	{
		return &(this->desciplinePlus);
	}

}